"""
Package for general geometry classes

Library Version 1.0

Copyright 2013 Paul Griffiths
Email: mail@paulgriffiths.net

Distributed under the terms of the GNU General Public License.
http://www.gnu.org/licenses/
"""

from geometry.conversions import convert, conversion_factor
from geometry.conversions import validate_length, validate_area
from geometry.conversions import validate_volume, validate_weight
from geometry.conversions import validate_unit, validate_compatible_units
from geometry.conversions import InvalidUnit, InvalidLengthUnit
from geometry.conversions import InvalidAreaUnit, InvalidVolumeUnit
from geometry.conversions import InvalidWeightUnit, IncompatibleUnits

from geometry.shapes import Rectangle, Square, Circle

from geometry.solids import Cuboid, Cube, Sphere, Cone, Cylinder, Tube

from geometry.materials import DefaultMaterial, Water, MildSteel, Aluminium
from geometry.materials import Copper, Gold, Silver, Iron, Lead, Tin, Zinc
